using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

using Tao.OpenGl;

namespace Log740
{
    class Crosshair : ObjectGL
    {
        public Vecteur3F Color;

        private Glu.GLUquadric quad;

        public Crosshair(Vecteur3F color)
        {
            this.Color = color;
            this.quad = Glu.gluNewQuadric();
        }

        ~Crosshair()
        {
            Glu.gluDeleteQuadric(this.quad);
        }

        protected override void DrawInternal()
        {
            Gl.glDisable(Gl.GL_LIGHTING);
            
            Gl.glColor3d(Color.R, Color.G, Color.B);
            Glu.gluCylinder(this.quad, 10, 11, 0, 32, 1);
            
            Gl.glEnable(Gl.GL_LIGHTING);
        }
    }
}
